> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo-platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo-platform/_mcp/server.

# Pause Job

POST /apis/jobs/v2/workspaces/{workspace}/jobs/{name}/pause

Pause a platform job.

Reference: https://docs.nvidia.com/nemo-platform/nemo-platform/v0.3.0/documentation/reference/api-reference/jobs/pause-job-apis-jobs-v-2-workspaces-workspace-jobs-name-pause-post

## Request

### Path parameters

- `name` (string, required)
- `workspace` (string, required)

## Response

### 200

Successful Response

- `id` (string, required)
- `attempt_id` (string, required)
- `name` (string, required)
- `workspace` (string, required) — Workspace identifier
- `source` (string, required)
- `platform_spec` (object, required) — Specification for a platform job, containing steps and secrets.
  - `steps` (list of object, required) — List of steps to be executed in the job
    - `name` (string, required) — The name of the step. Must be unique for all steps in a job. Name must start with a lowercase letter, be 2-63 characters, and use lowercase letters, digits, hyphens, and dots (no consecutive hyphens, cannot end with a hyphen).
    - `executor` (object, required) — The executor for the step
      - `provider`: `cpu` (CPUExecutionProvider)
        - `container` (object, required) — Specification for a container configuration. Defines the container image and related configuration for job execution.
          - `image` (string, optional)
          - `entrypoint` (list of string, optional)
          - `command` (list of string, optional)
        - `profile` (string, optional, default: default)
        - `resources` (object, optional) — Resource requests and limits for CPU execution.
          - `requests` (object, optional) — Minimum resources requested for the container.
            - `cpu` (string, optional) — CPU specification (e.g., '250m', '1', '2.5').
            - `memory` (string, optional) — Memory specification (e.g., '128Mi', '1Gi', '512M').
          - `limits` (object, optional) — Maximum resources the container can use.
            - `cpu` (string, optional) — CPU specification (e.g., '250m', '1', '2.5').
            - `memory` (string, optional) — Memory specification (e.g., '128Mi', '1Gi', '512M').
          - `num_nodes` (integer, optional, default: 1) — Number of nodes to use.
          - `num_gpus` (integer, optional) — Step requesting number of GPUs.
          - `shm_size` (string, optional) — Shared memory (/dev/shm) size as a Kubernetes quantity (e.g. '1Gi', '4Gi'). Used for GPU and distributed-GPU job executors. When unset, defaults to 1Gi per allocated GPU.
      - `provider`: `gpu` (GPUExecutionProvider)
        - `container` (object, required) — Specification for a container configuration. Defines the container image and related configuration for job execution.
          - `image` (string, optional)
          - `entrypoint` (list of string, optional)
          - `command` (list of string, optional)
        - `profile` (string, optional, default: default)
        - `resources` (object, optional) — Resource requests and limits for GPU execution.
          - `requests` (object, optional) — Minimum resources requested for the container.
            - `cpu` (string, optional) — CPU specification (e.g., '250m', '1', '2.5').
            - `memory` (string, optional) — Memory specification (e.g., '128Mi', '1Gi', '512M').
          - `limits` (object, optional) — Maximum resources the container can use.
            - `cpu` (string, optional) — CPU specification (e.g., '250m', '1', '2.5').
            - `memory` (string, optional) — Memory specification (e.g., '128Mi', '1Gi', '512M').
          - `num_nodes` (integer, optional, default: 1) — Number of nodes to use.
          - `num_gpus` (integer, optional) — Step requesting number of GPUs.
          - `shm_size` (string, optional) — Shared memory (/dev/shm) size as a Kubernetes quantity (e.g. '1Gi', '4Gi'). Used for GPU and distributed-GPU job executors. When unset, defaults to 1Gi per allocated GPU.
      - `provider`: `gpu_distributed` (DistributedGPUExecutionProvider)
        - `container` (object, required) — Specification for a container configuration. Defines the container image and related configuration for job execution.
          - `image` (string, optional)
          - `entrypoint` (list of string, optional)
          - `command` (list of string, optional)
        - `profile` (string, optional, default: default)
        - `resources` (object, optional) — Resource requests and limits for distributed GPU execution.
          - `requests` (object, optional) — Minimum resources requested for the container.
            - `cpu` (string, optional) — CPU specification (e.g., '250m', '1', '2.5').
            - `memory` (string, optional) — Memory specification (e.g., '128Mi', '1Gi', '512M').
          - `limits` (object, optional) — Maximum resources the container can use.
            - `cpu` (string, optional) — CPU specification (e.g., '250m', '1', '2.5').
            - `memory` (string, optional) — Memory specification (e.g., '128Mi', '1Gi', '512M').
          - `num_nodes` (integer, optional, default: 1) — Number of nodes to use.
          - `num_gpus` (integer, optional) — Step requesting number of GPUs.
          - `shm_size` (string, optional) — Shared memory (/dev/shm) size as a Kubernetes quantity (e.g. '1Gi', '4Gi'). Used for GPU and distributed-GPU job executors. When unset, defaults to 1Gi per allocated GPU.
      - `provider`: `subprocess` (SubprocessExecutionProvider)
        - `command` (list of string, required)
        - `profile` (string, optional, default: default)
    - `environment` (list of object, optional) — Environment variables for the step
      - `name` (string, required) — The environment variable name
      - `value` (string, optional) — The environment variable value
      - `from_secret` (object, optional) — Reference to a secret environment variable to populate the environment variable
        - `name` (string, required) — The name of the secret to reference
    - `config` (map from string to any, optional) — Configuration for the step
    - `lifecycle` (object, optional) — Lifecycle configuration settings for the step
      - `staleness_timeout_seconds` (integer, optional, default: 0) — If every active task in the step goes this many seconds without an update, the step is terminated. A value of 0 disables staleness detection.
- `fileset` (string, required) — Fileset ID for storing job artifacts
- `status` (enum, required) — Enumeration of possible job statuses. This enum represents the various states a job can be in during its lifecycle, from creation to a terminal state.
  - Allowed values: `created`, `pending`, `active`, `cancelled`, `cancelling`, `error`, `completed`, `paused`, `pausing`, `resuming`
- `project` (string, optional) — Project URN
- `description` (string, optional)
- `spec` (map from string to any, optional) — Job Spec
- `output_location` (string, optional) — Caller-supplied artifact fileset; None when the fileset was auto-created
- `status_details` (map from string to any, optional) — Details about the job status
- `error_details` (map from string to any, optional)
- `created_at` (datetime, optional)
- `updated_at` (datetime, optional)
- `ownership` (map from string to any, optional)
- `custom_fields` (map from string to any, optional) — Custom Fields

## Examples

**Response**

```json
{
  "id": "string",
  "attempt_id": "string",
  "name": "string",
  "workspace": "string",
  "source": "string",
  "platform_spec": {
    "steps": [
      {
        "name": "preprocess",
        "executor": {
          "provider": "cpu",
          "container": {
            "image": "string",
            "entrypoint": [
              "string"
            ],
            "command": [
              "string"
            ]
          },
          "profile": "default",
          "resources": {
            "requests": {
              "cpu": "string",
              "memory": "string"
            },
            "limits": {
              "cpu": "string",
              "memory": "string"
            },
            "num_nodes": 1,
            "num_gpus": 1,
            "shm_size": "string"
          }
        },
        "environment": [
          {
            "name": "string",
            "value": "string",
            "from_secret": {
              "name": "string"
            }
          }
        ],
        "config": {},
        "lifecycle": {
          "staleness_timeout_seconds": 0
        }
      }
    ]
  },
  "fileset": "string",
  "status": "created",
  "project": "string",
  "description": "string",
  "spec": {},
  "output_location": "string",
  "status_details": {},
  "error_details": {},
  "created_at": "2024-01-15T09:30:00Z",
  "updated_at": "2024-01-15T09:30:00Z",
  "ownership": {},
  "custom_fields": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/apis/jobs/v2/workspaces/workspace/jobs/name/pause"

response = requests.post(url)

print(response.json())
```

```javascript
const url = 'https://api.example.com/apis/jobs/v2/workspaces/workspace/jobs/name/pause';
const options = {method: 'POST'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/apis/jobs/v2/workspaces/workspace/jobs/name/pause"

	req, _ := http.NewRequest("POST", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/apis/jobs/v2/workspaces/workspace/jobs/name/pause")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.example.com/apis/jobs/v2/workspaces/workspace/jobs/name/pause")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.example.com/apis/jobs/v2/workspaces/workspace/jobs/name/pause');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/apis/jobs/v2/workspaces/workspace/jobs/name/pause");
var request = new RestRequest(Method.POST);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/apis/jobs/v2/workspaces/workspace/jobs/name/pause")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```